Information About the Behavior of Patching Adobe and Mozilla Products With Protect

Version 7

    Purpose

     

    This article is meant to provide information about how Protect provides security updates for Adobe and Mozilla products incrementally.

     

    Description

     

    When a vendor supports multiple branches or versions of a product Protect does not support moving to the latest version until the previous branch has been end of life (EOL).

     

    Example:

    For Adobe Flash, if versions 10 and 11 are still supported (Flash 9 & below are EOL) Protect offers all flash 5, 6, 7, 8, 9 and 10 to the latest version of 10 as a security update. Protect only offers the latest Flash 11-14  security patches to older versions of 11-14 that are currently installed. This behavior is in place because not all customers wish to move to the latest version.

     

    In this instance if you currently had Flash 10 installed you would need to use the "Software Distribution" scanning and deployment option within Protect to update directly to the latest version of Flash 14.

     

    This behavior can apply to all Adobe and Mozilla products that are supported for security patching within Protect.

     

    Additional Information

     

    If you need instructions for a software distribution scan and deployment please refer to the  Protect 9.0/9.1: Software Distribution Best Practices And Informational Guide

     

    Affected Product(s)

     

    Shavlik Protect 9.x